<div id="upsale-block">
  <div class="">
    <p class="mb-0 text-lg font-semibold text-neutral-900">Upsale Section</p>
  </div>
  <div class="mt-6 bg-[#F5F7F9] rounded-lg p-2 text-sm text-content-main">
    This block works the same way as Store Discount, when there are 2 duplicate
    Conditions, the discount with the HIGHER discount value will be applied.
    <br />
    For example: If there are 2 discounts: 3 items get 10% OFF in Store Discount
    and 3 items get 20% OFF in Quick Upsale, the system will prefer to use the
    discount 3 items get 20% OFF in Quick Upsale.
  </div>
  <div class="mt-6 border border-border-highlight rounded-lg p-4 relative">
    <p
      class="mb-0 pos-absolute -top-4 left-3 bg-white py-1 px-2 text-content-disable text-sm"
    >
      Preview
    </p>
    <div
      v-if="listUpsale && listUpsale.listBuyMore && listUpsale.listBuyMore.length"
    >
      <p class="mb-0 text-lg text-content-main">{{text}}</p>
      <div
        class="mt-2 bg-bg-surface rounded-lg p-2 flex align-center justify-between"
        v-for="(upsale, i) in listUpsale.listBuyMore"
      >
        <p class="mb-0 text-content-main text-sm">
          {{upsale.quantity}} items get {{upsale.discount}}% OFF
        </p>
        <v-btn color="#FF4343" outlined>
          <span class="text-sm capitalize"> Add </span>
        </v-btn>
      </div>
    </div>
    <p class="mb-0 text-sm leading-5 text-content-disable" v-else>
      Quick Upsales created below will be displayed here.
    </p>
  </div>
  <div class="mt-6" id="hideBottomInput">
    <div>
      <p class="mb-2 font-semibold">Tag</p>
      <v-text-field
        dense
        outlined
        placeholder="Please enter tag"
        v-model="text"
        v-debounce:500ms="onChanged"
      >
      </v-text-field>
    </div>
    <v-simple-table class="table-upsale mt-3">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left px-0 w-[200px]">
              <div>
                <p class="mb-0 text-content-main font-weight-bold text-sm">
                  Quantity
                </p>
              </div>
            </th>
            <th class="text-left px-0 w-[200px]">
              <div>
                <p class="mb-0 text-content-main font-weight-bold text-sm">
                  Content
                </p>
              </div>
            </th>
            <th class="text-left px-0 w-[200px]">
              <div>
                <p class="mb-0 text-content-main font-weight-bold text-sm">
                  Discount
                </p>
              </div>
            </th>
            <th class="text-left px-0"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(upsale, i) in listUpsale.listBuyMore" :key="i">
            <td>
              <v-text-field
                dense
                outlined
                placeholder="Enter your quantity"
                class="pr-4"
                v-model.number="upsale.quantity"
                :prefix="i === listUpsale.listBuyMore.length - 1 ? '>=' : '='"
                v-debounce:500ms="onChanged"
              ></v-text-field>
            </td>
            <td>
              <v-select
                dense
                outlined
                placeholder="Select an option"
                class="pr-4"
                :items="listOption"
                item-text="name"
                item-value="value"
                v-model="upsale.content"
                @change="onChanged()"
              ></v-select>
            </td>
            <td>
              <v-text-field
                dense
                outlined
                placeholder="Enter your discount"
                class="pr-4"
                type="number"
                step="1"
                min="0"
                v-model.number="upsale.discount"
                v-debounce:500ms="onChanged"
              ></v-text-field>
            </td>
            <td>
              <v-btn icon color="#F05252" small @click="deleteUpSale(i)">
                <v-icon color="#F05252"> mdi-trash-can </v-icon>
              </v-btn>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
  </div>
  <div class="mt-4">
    <v-btn color="#076CE3" outlined @click="addUpsale()">
      <div class="flex align-center">
        <p class="mb-0 text-sm ml-2 capitalize lightContentBlue">
          + Add Quick Upsale Requirement
        </p>
      </div>
    </v-btn>
  </div>
</div>
